Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class PotentialDuplicateReportRow

    java.lang.Object
      com.sun.mdm.index.report.ReportRow
          com.sun.mdm.index.report.MultirowReportObject1
              com.sun.mdm.index.report.MultirowReportObject2
                  com.sun.mdm.index.report.PotentialDuplicateReportRow

All Implemented Interfaces:
  java.io.Serializable

public class PotentialDuplicateReportRow
extends MultirowReportObject2

Row of data for Potential Duplicate Report

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.MultirowReportObject1
`mConfig, mObjectNode`

Constructor Summary
`PotentialDuplicateReportRow(PotentialDuplicateSummary summary, PotentialDuplicateReportConfig config)` Creates a new instance of PotentialDuplicateReportRow

Method Summary
`java.util.Date` | `getCreateDate()` Get create date.
`java.lang.String` | `getCreateUser()` Get create user.
`java.lang.String` | `getEUID1()` Get EUID of the first object..
`java.lang.String` | `getEUID2()` Get EUID of the second object..
`java.lang.String` | `getId()` Get Potential Duplicate ID.
`java.lang.String` | `getReason()` Get reason.
`java.lang.String` | `getResolvedComment()` Get Resolved comment.
`java.util.Date` | `getResolvedDate()` Get resolved date.
`java.lang.String` | `getResolvedUser()` Get user who resolved this pair of potential duplicates.
`java.lang.String` | `getStatus()` Get status.
`java.lang.String` | `getSystemCode()` Get system code.
`float` | `getWeight()` Get comparison weight score.

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject2
`getObject2, getObjects, setObjects`

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject1
`constructObjectNode, getObject1, getValue, setObject1, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PotentialDuplicateReportRow

    public PotentialDuplicateReportRow(PotentialDuplicateSummary summary,
                                       PotentialDuplicateReportConfig config)
                                throws ObjectException

  Creates a new instance of PotentialDuplicateReportRow

  Parameters:
    `summary` - Transaction summary.
    `config` - Merged reports configuration.
  Throws:
    `ObjectException` - if any other types of errors are encountered.

Method Detail

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws ObjectException

  Get create date.

  Returns:
    Create date.
  Throws:
    `ObjectException` - if an error occured.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Get create user.

  Returns:
    Create user.
  Throws:
    `ObjectException` - if an error occured.

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Get EUID of the first object..

  Returns:
    EUID of the first object.
  Throws:
    `ObjectException` - if an error occured.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Get EUID of the second object..

  Returns:
    EUID of the second object.
  Throws:
    `ObjectException` - if an error occured.

### getId

    public java.lang.String getId()
                           throws ObjectException

  Get Potential Duplicate ID.

  Returns:
    Potential Duplicate ID.
  Throws:
    `ObjectException` - if an error occured.

### getReason

    public java.lang.String getReason()
                               throws ObjectException

  Get reason.

  Returns:
    Reason.
  Throws:
    `ObjectException` - if an error occured.

### getResolvedComment

    public java.lang.String getResolvedComment()
                                        throws ObjectException

  Get Resolved comment.

  Returns:
    Resolved comment.
  Throws:
    `ObjectException` - if an error occured.

### getResolvedDate

    public java.util.Date getResolvedDate()
                                   throws ObjectException

  Get resolved date.

  Returns:
    Resolved date.
  Throws:
    `ObjectException` - if an error occured.

### getResolvedUser

    public java.lang.String getResolvedUser()
                                     throws ObjectException

  Get user who resolved this pair of potential duplicates.

  Returns:
    user who resolved this pair of potential duplicates.
  Throws:
    `ObjectException` - if an error occured.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Get status.

  Returns:
    Status.
  Throws:
    `ObjectException` - if an error occured.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Get system code.

  Returns:
    System code.
  Throws:
    `ObjectException` - if an error occured.

### getWeight

    public float getWeight()
                    throws ObjectException

  Get comparison weight score.

  Returns:
    Comparison weight score.
  Throws:
    `ObjectException` - if an error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.